/*****************************************************************
 * grlib.h
 *
 * 1998.05.14  <tsakurai@rimath.saitama-u.ac.jp>
 *****************************************************************/

/********************
 * grlib*.c 
 -------------------*/
/* Screen Coordmode */
#define  Y_DOWN  0
#define  Y_UP    1
 
/* Mouse */
#define  LEFT_BUTTON   1  /* Button1 */
#define  MIDDLE_BUTTON 2  /* Button2 */
#define  RIGHT_BUTTON  3  /* Button3 */

#define  MOUSE_DOWN    0
#define  MOUSE_UP      1
#define  MOUSE_MOVE    2

/* functions defined in grlib*.c */
extern void Init_gdev(int width, int height, char *title);
extern void Close_gdev(void);
extern void SetDoubleBuffer(int ON_OFF); 

extern void DrawPix(int x, int y, COLORREF pix);

extern int  KbHit(void);
extern int  GetKey(void);
extern void SetMouseFunc(void (*mouse)(int button, int state,
				       double x, double y));

extern void Clear_gdev(void);
extern void FlushBuffer(void);

