/**********************************************************************
  ̈̃Rs[
  $Id:$
**********************************************************************/
#include "common.h"
#include "processor.h"
#include "ppcsim.h"
#include "memory.h"

int	memory_copy( struct MACHINE_RESOURCE *mres, int from_adrs, int to_adrs, int dt_leng )
{
int j ;

 for( j=0 ; j<dt_leng ; j++ ){
   if( (from_adrs+j)>=mres->mem_size[seg(from_adrs)] ||
       (to_adrs  +j)>=mres->mem_size[seg(to_adrs)  ] ){
     return(NORMAL_EXIT) ;
   }
   mres->mem[seg(to_adrs+j)][lad(to_adrs+j)]=mres->mem[seg(from_adrs+j)][lad(from_adrs+j)] ;
 }
 return(NORMAL_EXIT) ;
}
